#ifndef __CRTDLL_H
#define __CRTDLL_H

#ifdef __cplusplus
namespace crt {
extern "C" {
#endif
typedef unsigned size_t;

/* stdio.h */
//int sprintf(char *buffer, const char *format, ...);
/* stdlib.h */ 
void *malloc(size_t size);
void *realloc(void *block, size_t size);
void free(void *block);
/* mem.h */
void *memcpy(void *dest, const void *src, size_t n);
void *memset(void *s, int c, size_t n);
int memcmp(const void *s1, const void *s2, size_t n);
/* string.h */
int strncmp(const char *s1, const char *s2, size_t  maxlen);
char *strchr(char *s, int c);
char *strrchr(char *s, int c);
char *strstr( const char *string, const char *strCharSet );
int toupper( int c );

#ifdef __cplusplus
}
}
#endif
#endif //__CRTDLL_H
